%define upstream_name	 IMDB-Film
%define upstream_version 0.53

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    OO Perl interface to the database of films IMDB
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/S/ST/STEPANOV/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cache::FileCache)
BuildRequires: perl(Carp)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(Error)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::TokeParser) >= 2.280.0
BuildRequires: perl(LWP::Simple) >= 1.410.0
BuildRequires: perl(Pod::Checker)
BuildRequires: perl(Text::Unidecode)
BuildArch:  noarch

%description
IMDB::Film is OO Perl interface to the database of films
IMDB (www.imdb.com). It allows to retrieve information
about movies by its IMDB code or title. Also, there is a 
possibility to get information about IMDB persons (actors,
actresses, directors etc) by their name of code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%install
%makeinstall_std

%files
%doc ChangeLog LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/IMDB
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.530.0-2.mga3
+ Revision: 368433
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.530.0-1.mga3
+ Revision: 342218
- update to 0.53

* Tue Jun 05 2012 jquelin <jquelin> 0.520.0-1.mga3
+ Revision: 255013
- update to 0.52

* Thu Oct 13 2011 jquelin <jquelin> 0.510.0-1.mga2
+ Revision: 154322
- update to 0.51
- update to 0.50

* Wed Feb 16 2011 jquelin <jquelin> 0.490.0-1.mga1
+ Revision: 52356
- update to 0.49

* Thu Jan 20 2011 jquelin <jquelin> 0.480.0-1.mga1
+ Revision: 26392
- mageia rebuild
- imported package perl-IMDB-Film

